Index: trunk/source/processes/electromagnetic/lowenergy/src/G4AtomicDeexcitation.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4AtomicDeexcitation.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4AtomicDeexcitation.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4AtomicDeexcitation.cc,v 1.11 
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Authors: Elena Guardincerri (Elena.Guardincerri@ge.infn.it)
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4AtomicTransitionManager.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4AtomicTransitionManager.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4AtomicTransitionManager.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4AtomicTransitionManager.cc,v 1.2 ????
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Authors: Elena Guardincerri (Elena.Guardincerri@ge.infn.it)
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4BremsstrahlungCrossSectionHandler.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4BremsstrahlungCrossSectionHandler.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4BremsstrahlungCrossSectionHandler.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4BremsstrahlungCrossSectionHandler.cc,v 1.12 2009/09/27 10:47:42 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4BremsstrahlungParameters.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4BremsstrahlungParameters.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4BremsstrahlungParameters.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4BremsstrahlungParameters.cc,v 1.20 2009/06/10 13:32:36 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: Maria Grazia Pia (Maria.Grazia.Pia@cern.ch)
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4CompositeEMDataSet.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4CompositeEMDataSet.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4CompositeEMDataSet.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4CompositeEMDataSet.cc,v 1.15 2009/09/25 07:41:34 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: Maria Grazia Pia (Maria.Grazia.Pia@cern.ch)
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionChargeDecrease.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionChargeDecrease.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionChargeDecrease.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4CrossSectionChargeDecrease.cc,v 1.7 2009/06/11 15:47:08 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 
 #include "G4CrossSectionChargeDecrease.hh"
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionChargeDecreasePartial.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionChargeDecreasePartial.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionChargeDecreasePartial.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4CrossSectionChargeDecreasePartial.cc,v 1.3 2009/06/10 13:32:36 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 
 #include "G4CrossSectionChargeDecreasePartial.hh"
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionChargeIncrease.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionChargeIncrease.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionChargeIncrease.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4CrossSectionChargeIncrease.cc,v 1.7 2009/06/11 15:47:08 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 
 #include "G4CrossSectionChargeIncrease.hh"
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionChargeIncreasePartial.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionChargeIncreasePartial.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionChargeIncreasePartial.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4CrossSectionChargeIncreasePartial.cc,v 1.3 2009/06/10 13:32:36 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 
 #include "G4CrossSectionChargeIncreasePartial.hh"
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionChargeTransferCH.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionChargeTransferCH.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionChargeTransferCH.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4CrossSectionChargeTransferCH.cc,v 1.4 2009/06/10 13:32:36 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 // 
 // Contact Author: Maria Grazia Pia (Maria.Grazia.Pia@cern.ch)
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionChargeTransferExp.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionChargeTransferExp.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionChargeTransferExp.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4CrossSectionChargeTransferExp.cc,v 1.6 2009/06/10 13:32:36 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 // 
 // Contact Author: Maria Grazia Pia (Maria.Grazia.Pia@cern.ch)
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionElasticChampion.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionElasticChampion.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionElasticChampion.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4CrossSectionElasticChampion.cc,v 1.7 2009/06/11 15:47:08 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 // -------------------------------------------------------------------
 
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionElasticScreenedRutherford.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionElasticScreenedRutherford.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionElasticScreenedRutherford.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4CrossSectionElasticScreenedRutherford.cc,v 1.1 2007/10/12 23:11:41 pia Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 // 
 // Contact Author: Maria Grazia Pia (Maria.Grazia.Pia@cern.ch)
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionElasticScreenedRutherfordHE.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionElasticScreenedRutherfordHE.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionElasticScreenedRutherfordHE.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4CrossSectionElasticScreenedRutherfordHE.cc,v 1.5 2009/06/11 15:47:08 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 
 #include "G4CrossSectionElasticScreenedRutherfordHE.hh"
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionElasticScreenedRutherfordLE.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionElasticScreenedRutherfordLE.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionElasticScreenedRutherfordLE.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4CrossSectionElasticScreenedRutherfordLE.cc,v 1.5 2009/06/11 15:47:08 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 
 #include "G4CrossSectionElasticScreenedRutherfordLE.hh"
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionExcitationBorn.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionExcitationBorn.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionExcitationBorn.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4CrossSectionExcitationBorn.cc,v 1.7 2009/06/11 15:47:08 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 
 #include "G4CrossSectionExcitationBorn.hh"
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionExcitationBornPartial.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionExcitationBornPartial.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionExcitationBornPartial.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4CrossSectionExcitationBornPartial.cc,v 1.4 2009/06/10 13:32:36 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 
 #include "G4CrossSectionExcitationBornPartial.hh"
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionExcitationEmfietzoglou.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionExcitationEmfietzoglou.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionExcitationEmfietzoglou.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4CrossSectionExcitationEmfietzoglou.cc,v 1.8 2009/06/11 15:47:08 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 
 #include "G4CrossSectionExcitationEmfietzoglou.hh"
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionExcitationEmfietzoglouPartial.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionExcitationEmfietzoglouPartial.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionExcitationEmfietzoglouPartial.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4CrossSectionExcitationEmfietzoglouPartial.cc,v 1.4 2009/06/10 13:32:36 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 
 #include "G4CrossSectionExcitationEmfietzoglouPartial.hh"
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionExcitationMillerGreen.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionExcitationMillerGreen.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionExcitationMillerGreen.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4CrossSectionExcitationMillerGreen.cc,v 1.7 2009/06/11 15:47:08 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 
 #include "G4CrossSectionExcitationMillerGreen.hh"
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionExcitationMillerGreenPartial.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionExcitationMillerGreenPartial.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionExcitationMillerGreenPartial.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4CrossSectionExcitationMillerGreenPartial.cc,v 1.4 2009/06/10 13:32:36 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 
 #include "G4CrossSectionExcitationMillerGreenPartial.hh"
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionHandler.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionHandler.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionHandler.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4CrossSectionHandler.cc,v 1.21 2009/09/27 10:47:42 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: Maria Grazia Pia (Maria.Grazia.Pia@cern.ch)
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionIonisationBorn.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionIonisationBorn.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionIonisationBorn.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4CrossSectionIonisationBorn.cc,v 1.7 2009/06/11 15:47:08 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 
 #include "G4CrossSectionIonisationBorn.hh"
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionIonisationBornElectron.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionIonisationBornElectron.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionIonisationBornElectron.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4CrossSectionIonisationBornElectron.cc,v 1.2 2007/11/08 18:51:34 pia Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 // 
 // Contact Author: Maria Grazia Pia (Maria.Grazia.Pia@cern.ch)
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionIonisationBornPartial.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionIonisationBornPartial.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionIonisationBornPartial.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4CrossSectionIonisationBornPartial.cc,v 1.6 2009/06/10 13:32:36 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 
 #include "G4CrossSectionIonisationBornPartial.hh"
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionIonisationBornPartialElectron.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionIonisationBornPartialElectron.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionIonisationBornPartialElectron.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4CrossSectionIonisationBornPartialElectron.cc,v 1.1 2007/10/15 08:57:54 pia Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 // 
 // Contact Author: Maria Grazia Pia (Maria.Grazia.Pia@cern.ch)
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionIonisationRudd.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionIonisationRudd.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionIonisationRudd.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4CrossSectionIonisationRudd.cc,v 1.7 2009/06/11 15:47:08 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 
 #include "G4CrossSectionIonisationRudd.hh"
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionIonisationRuddPartial.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionIonisationRuddPartial.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionIonisationRuddPartial.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4CrossSectionIonisationRuddPartial.cc,v 1.5 2009/06/10 13:32:36 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 
 #include "G4CrossSectionIonisationRuddPartial.hh"
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionKill.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionKill.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionKill.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4CrossSectionKill.cc,v 1.1 2007/11/09 20:26:12 pia Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 // 
 // Contact Author: Maria Grazia Pia (Maria.Grazia.Pia@cern.ch)
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionPsCreationChampion.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionPsCreationChampion.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionPsCreationChampion.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4CrossSectionPsCreationChampion.cc,v 1.2 2009/06/10 13:32:36 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 // -------------------------------------------------------------------
 
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionPsCreationChampionPartial.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionPsCreationChampionPartial.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionPsCreationChampionPartial.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4CrossSectionPsCreationChampionPartial.cc,v 1.2 2009/06/10 13:32:36 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 // -------------------------------------------------------------------
 
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4DNABornExcitationModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4DNABornExcitationModel.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4DNABornExcitationModel.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4DNABornExcitationModel.cc,v 1.7 2009/08/31 14:03:29 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4DNABornIonisationModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4DNABornIonisationModel.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4DNABornIonisationModel.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4DNABornIonisationModel.cc,v 1.14 2009/11/12 03:08:58 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4DNAChampionElasticModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4DNAChampionElasticModel.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4DNAChampionElasticModel.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4DNAChampionElasticModel.cc,v 1.10 2009/11/03 15:04:25 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4DNAChargeDecrease.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4DNAChargeDecrease.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4DNAChargeDecrease.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4DNAChargeDecrease.cc,v 1.3 2009/03/04 13:28:49 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 
 #include "G4DNAChargeDecrease.hh"
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4DNAChargeIncrease.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4DNAChargeIncrease.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4DNAChargeIncrease.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4DNAChargeIncrease.cc,v 1.3 2009/03/04 13:28:49 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 
 #include "G4DNAChargeIncrease.hh"
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4DNACrossSectionDataSet.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4DNACrossSectionDataSet.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4DNACrossSectionDataSet.cc	(revision 1228)
@@ -27,5 +27,5 @@
 
 // $Id: G4DNACrossSectionDataSet.cc,v 1.11 2009/11/12 10:05:30 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: Riccardo Capra <capra@ge.infn.it>
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4DNADingfelderChargeDecreaseModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4DNADingfelderChargeDecreaseModel.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4DNADingfelderChargeDecreaseModel.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4DNADingfelderChargeDecreaseModel.cc,v 1.6 2009/08/13 11:32:47 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4DNADingfelderChargeIncreaseModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4DNADingfelderChargeIncreaseModel.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4DNADingfelderChargeIncreaseModel.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4DNADingfelderChargeIncreaseModel.cc,v 1.6 2009/08/13 11:32:47 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4DNAElastic.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4DNAElastic.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4DNAElastic.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4DNAElastic.cc,v 1.3 2009/03/04 13:28:49 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 
 #include "G4DNAElastic.hh"
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4DNAEmfietzoglouExcitationModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4DNAEmfietzoglouExcitationModel.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4DNAEmfietzoglouExcitationModel.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4DNAEmfietzoglouExcitationModel.cc,v 1.8 2009/08/13 11:32:47 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4DNAExcitation.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4DNAExcitation.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4DNAExcitation.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4DNAExcitation.cc,v 1.3 2009/03/04 13:28:49 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 
 #include "G4DNAExcitation.hh"
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4DNAGenericIonsManager.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4DNAGenericIonsManager.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4DNAGenericIonsManager.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4DNAGenericIonsManager.cc,v 1.6 2009/06/10 13:32:36 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 
 #include "G4DNAGenericIonsManager.hh"
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4DNAIonisation.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4DNAIonisation.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4DNAIonisation.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4DNAIonisation.cc,v 1.4 2009/11/02 17:00:11 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 
 #include "G4DNAIonisation.hh"
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4DNAMillerGreenExcitationModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4DNAMillerGreenExcitationModel.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4DNAMillerGreenExcitationModel.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4DNAMillerGreenExcitationModel.cc,v 1.6 2009/08/13 11:32:47 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4DNARuddIonisationModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4DNARuddIonisationModel.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4DNARuddIonisationModel.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4DNARuddIonisationModel.cc,v 1.10 2009/08/13 11:32:47 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4DNAScreenedRutherfordElasticModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4DNAScreenedRutherfordElasticModel.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4DNAScreenedRutherfordElasticModel.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4DNAScreenedRutherfordElasticModel.cc,v 1.9 2009/08/13 11:32:47 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4DopplerProfile.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4DopplerProfile.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4DopplerProfile.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4DopplerProfile.cc,v 1.3 2009/06/10 13:32:36 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: Maria Grazia Pia (Maria.Grazia.Pia@cern.ch)
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4DummyFinalState.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4DummyFinalState.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4DummyFinalState.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4DummyFinalState.cc,v 1.2 2007/10/15 08:36:35 pia Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 // 
 // Contact Author: Maria Grazia Pia (Maria.Grazia.Pia@cern.ch)
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4EMDataSet.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4EMDataSet.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4EMDataSet.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4EMDataSet.cc,v 1.20 2009/09/25 07:41:34 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: Maria Grazia Pia (Maria.Grazia.Pia@cern.ch)
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateChargeDecrease.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateChargeDecrease.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateChargeDecrease.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4FinalStateChargeDecrease.cc,v 1.7 2009/06/11 15:47:08 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 
 #include "G4FinalStateChargeDecrease.hh"
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateChargeIncrease.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateChargeIncrease.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateChargeIncrease.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4FinalStateChargeIncrease.cc,v 1.7 2009/06/11 15:47:08 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 
 #include "G4FinalStateChargeIncrease.hh"
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateChargeTransferProton.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateChargeTransferProton.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateChargeTransferProton.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4FinalStateChargeTransferProton.cc,v 1.2 2009/06/10 13:32:36 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 // 
 // Contact Author: Maria Grazia Pia (Maria.Grazia.Pia@cern.ch)
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateElasticBrennerZaider.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateElasticBrennerZaider.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateElasticBrennerZaider.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4FinalStateElasticBrennerZaider.cc,v 1.11 2009/06/11 15:47:08 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 
 #include "G4FinalStateElasticBrennerZaider.hh"
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateElasticChampion.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateElasticChampion.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateElasticChampion.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4FinalStateElasticChampion.cc,v 1.10 2009/06/11 15:47:08 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 // -------------------------------------------------------------------
 
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateElasticScreenedRutherford.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateElasticScreenedRutherford.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateElasticScreenedRutherford.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4FinalStateElasticScreenedRutherford.cc,v 1.7 2009/06/11 15:47:08 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 
 #include "G4FinalStateElasticScreenedRutherford.hh"
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateExcitationBorn.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateExcitationBorn.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateExcitationBorn.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4FinalStateExcitationBorn.cc,v 1.6 2009/06/11 15:47:08 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 
 #include "G4FinalStateExcitationBorn.hh"
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateExcitationEmfietzoglou.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateExcitationEmfietzoglou.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateExcitationEmfietzoglou.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4FinalStateExcitationEmfietzoglou.cc,v 1.8 2009/06/11 15:47:08 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 
 #include "G4FinalStateExcitationEmfietzoglou.hh"
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateExcitationMillerGreen.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateExcitationMillerGreen.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateExcitationMillerGreen.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4FinalStateExcitationMillerGreen.cc,v 1.6 2009/06/11 15:47:08 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 
 #include "G4FinalStateExcitationMillerGreen.hh"
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateIonisationBorn.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateIonisationBorn.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateIonisationBorn.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4FinalStateIonisationBorn.cc,v 1.19 2009/06/11 15:47:08 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 
 #include "G4FinalStateIonisationBorn.hh"
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateIonisationRudd.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateIonisationRudd.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateIonisationRudd.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4FinalStateIonisationRudd.cc,v 1.11 2009/06/11 15:47:08 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 
 #include "G4FinalStateIonisationRudd.hh"
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateKill.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateKill.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateKill.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4FinalStateKill.cc,v 1.1 2007/11/09 20:26:12 pia Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 // 
 // Contact Author: Maria Grazia Pia (Maria.Grazia.Pia@cern.ch)
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateProduct.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateProduct.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateProduct.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4FinalStateProduct.cc,v 1.7 2009/06/10 13:32:36 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 // 
 // Contact Author: Maria Grazia Pia (Maria.Grazia.Pia@cern.ch)
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStatePsCreationChampion.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStatePsCreationChampion.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStatePsCreationChampion.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4FinalStatePsCreationChampion.cc,v 1.2 2009/06/10 13:32:36 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 // -------------------------------------------------------------------
 
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4FluoTransition.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4FluoTransition.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4FluoTransition.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4FluoTransition.cc,v 1.2 ????
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: Elena Guardincerri (Elena.Guardincerri@ge.infn.it)
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4IonParametrisedLossModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4IonParametrisedLossModel.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4IonParametrisedLossModel.cc	(revision 1228)
@@ -56,4 +56,12 @@
 //                             - Minor fix in ComputeLossForStep function  
 //                             - Minor fix in ComputeDEDXPerVolume (AL)
+//                23. 11. 2009 - Changed energy loss limit from 0.15 to 0.01
+//                               to improve accuracy for large steps (AL)
+//                24. 11. 2009 - Bug fix: Range calculation corrected if same 
+//                               materials appears with different cuts in diff.
+//                               regions (added UpdateRangeCache function and
+//                               modified BuildRangeVector, ComputeLossForStep
+//                               functions accordingly, added new cache param.)
+//                             - Removed GetRange function (AL)  
 //
 //
@@ -102,5 +110,5 @@
     corrections(0),
     corrFactor(1.0),
-    energyLossLimit(0.15),
+    energyLossLimit(0.01),
     cutEnergies(0) {
 
@@ -124,5 +132,5 @@
   upperEnergyEdgeIntegr = betheBlochModel -> HighEnergyLimit();
 
-  // Cached parameters are reset
+  // Cache parameters are set
   cacheParticle = 0;
   cacheMass = 0;
@@ -130,5 +138,11 @@
   cacheChargeSquare = 0;
 
-  // Cached parameters are reset
+  // Cache parameters are set
+  rangeCacheParticle = 0; 
+  rangeCacheMatCutsCouple = 0; 
+  rangeCacheEnergyRange = 0; 
+  rangeCacheRangeEnergy = 0;
+
+  // Cache parameters are set
   dedxCacheParticle = 0;
   dedxCacheMaterial = 0;
@@ -192,4 +206,10 @@
   cacheChargeSquare = 0;
   
+  // Cached parameters are reset
+  rangeCacheParticle = 0; 
+  rangeCacheMatCutsCouple = 0; 
+  rangeCacheEnergyRange = 0; 
+  rangeCacheRangeEnergy = 0;
+
   // Cached parameters are reset
   dedxCacheParticle = 0;
@@ -723,4 +743,43 @@
 // #########################################################################
 
+void G4IonParametrisedLossModel::UpdateRangeCache(
+                     const G4ParticleDefinition* particle,
+                     const G4MaterialCutsCouple* matCutsCouple) {
+
+  // ############## Caching ##################################################
+  // If the ion-material-cut combination is covered by any native ion data
+  // parameterisation (for low energies), range vectors are computed 
+
+  if(particle == rangeCacheParticle && 
+     matCutsCouple == rangeCacheMatCutsCouple) {
+  }
+  else{
+     rangeCacheParticle = particle;
+     rangeCacheMatCutsCouple = matCutsCouple;
+
+     const G4Material* material = matCutsCouple -> GetMaterial();
+     LossTableList::iterator iter = IsApplicable(particle, material);
+
+     // If any table is applicable, the transition factor is computed:
+     if(iter != lossTableList.end()) {
+
+        // Build range-energy and energy-range vectors if they don't exist
+        IonMatCouple ionMatCouple = std::make_pair(particle, matCutsCouple);
+        RangeEnergyTable::iterator iterRange = r.find(ionMatCouple);
+
+        if(iterRange == r.end()) BuildRangeVector(particle, matCutsCouple);
+
+        rangeCacheEnergyRange = E[ionMatCouple];    
+        rangeCacheRangeEnergy = r[ionMatCouple];
+     }
+     else {
+        rangeCacheEnergyRange = 0;    
+        rangeCacheRangeEnergy = 0;
+     }
+  }
+}
+
+// #########################################################################
+
 void G4IonParametrisedLossModel::UpdateDEDXCache(
                      const G4ParticleDefinition* particle,
@@ -793,14 +852,4 @@
                   	 (dEdxParam - dEdxBetheBloch)/dEdxBetheBloch
                              * transitionEnergy; 
-
-        // Build range-energy and energy-range vectors if they don't exist
-        IonMatCouple ionMatCouple = std::make_pair(particle, material);
-        RangeEnergyTable::iterator iterRange = r.find(ionMatCouple);
-
-        if(iterRange == r.end()) BuildRangeVector(particle, material, 
-                                                  cutEnergy);
-
-        dedxCacheEnergyRange = E[ionMatCouple];    
-        dedxCacheRangeEnergy = r[ionMatCouple];
      }
      else {
@@ -815,6 +864,4 @@
         dedxCacheTransitionEnergy = 0.0;
         dedxCacheTransitionFactor = 0.0;
-        dedxCacheEnergyRange = 0;    
-        dedxCacheRangeEnergy = 0;
      }
   }
@@ -899,6 +946,6 @@
      if(eloss > energyLossLimit * kineticEnergy) {
 
-        eloss = ComputeLossForStep(material, particle, 
-                                   kineticEnergy, cutEnergy,length);
+        eloss = ComputeLossForStep(couple, particle, 
+                                   kineticEnergy,length);
 
 #ifdef PRINT_DEBUG
@@ -972,6 +1019,11 @@
 void G4IonParametrisedLossModel::BuildRangeVector(
                      const G4ParticleDefinition* particle,
-                     const G4Material* material,
-                     G4double cutEnergy) {
+                     const G4MaterialCutsCouple* matCutsCouple) {
+
+  G4double cutEnergy = DBL_MAX;
+  size_t cutIndex = matCutsCouple -> GetIndex();
+  cutEnergy = cutEnergies[cutIndex];
+
+  const G4Material* material = matCutsCouple -> GetMaterial();
 
   G4double massRatio = genericIonPDGMass / particle -> GetPDGMass();
@@ -1077,5 +1129,5 @@
 #endif 
 
-  IonMatCouple ionMatCouple = std::make_pair(particle, material); 
+  IonMatCouple ionMatCouple = std::make_pair(particle, matCutsCouple); 
 
   E[ionMatCouple] = energyRangeVector;
@@ -1085,65 +1137,16 @@
 // #########################################################################
 
-G4double G4IonParametrisedLossModel::GetRange(
-                  const G4ParticleDefinition* particle, // Projectile
-		  const G4Material* material,           // Target Material
-	          G4double kineticEnergy) {
-
-  G4double range = 0.0;
-
-  IonMatCouple couple = std::make_pair(particle, material);
-
-  EnergyRangeTable::iterator iter = E.find(couple);
-
-  if(iter == E.end()) {
-     G4cerr << "G4IonParametrisedLossModel::GetRange() No range vector found."
-            << G4endl;
-
-     G4cout << "   Ion-material pair: " << particle ->GetParticleName()
-            << "  " << material -> GetName()
-            << G4endl
-            << "   Available couples:"
-            << G4endl;
-
-     EnergyRangeTable::iterator iter_beg = E.begin();
-     EnergyRangeTable::iterator iter_end = E.end();
-
-     for(;iter_beg != iter_end; iter_beg++) {
-         IonMatCouple key = (*iter_beg).first; 
- 
-         G4cout << "           " << (key.first) -> GetParticleName()
-                << "  " << (key.second) -> GetName()
-                << G4endl;
-     }
-  }
-  else {
-     G4PhysicsVector* energyRange = (*iter).second;
-
-     if(energyRange != 0) {
-        G4bool b;
-
-        // Computing range for kinetic energy:
-        range = energyRange -> GetValue(kineticEnergy, b);
-     }
-  }
-
-  return range;
-}
-
-// #########################################################################
-
 G4double G4IonParametrisedLossModel::ComputeLossForStep(
-                     const G4Material* material,
+                     const G4MaterialCutsCouple* matCutsCouple,
                      const G4ParticleDefinition* particle,
                      G4double kineticEnergy,
-                     G4double cutEnergy,
                      G4double stepLength) {
 
   G4double loss = 0.0;
 
-  UpdateDEDXCache(particle, material, cutEnergy);
-
-  G4PhysicsVector* energyRange = dedxCacheEnergyRange;
-  G4PhysicsVector* rangeEnergy = dedxCacheRangeEnergy;
+  UpdateRangeCache(particle, matCutsCouple);
+
+  G4PhysicsVector* energyRange = rangeCacheEnergyRange;
+  G4PhysicsVector* rangeEnergy = rangeCacheRangeEnergy;
 
   if(energyRange != 0 && rangeEnergy != 0) {
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4LinInterpolation.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4LinInterpolation.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4LinInterpolation.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LinInterpolation.cc,v 1.5 2009/09/25 07:41:34 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: Maria Grazia Pia (Maria.Grazia.Pia@cern.ch)
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4LivermoreBremsstrahlungModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4LivermoreBremsstrahlungModel.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4LivermoreBremsstrahlungModel.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4LivermoreBremsstrahlungModel.cc,v 1.6 2009/06/11 15:47:08 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: Luciano Pandola
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4LivermoreComptonModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4LivermoreComptonModel.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4LivermoreComptonModel.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4LivermoreComptonModel.cc,v 1.7 2009/06/10 13:32:36 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4LivermoreGammaConversionModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4LivermoreGammaConversionModel.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4LivermoreGammaConversionModel.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4LivermoreGammaConversionModel.cc,v 1.8 2009/06/11 15:47:08 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4LivermoreIonisationModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4LivermoreIonisationModel.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4LivermoreIonisationModel.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4LivermoreIonisationModel.cc,v 1.7 2009/10/23 09:30:08 pandola Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: Luciano Pandola
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4LivermorePhotoElectricModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4LivermorePhotoElectricModel.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4LivermorePhotoElectricModel.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4LivermorePhotoElectricModel.cc,v 1.9 2009/10/23 09:31:03 pandola Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4LivermorePolarizedComptonModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4LivermorePolarizedComptonModel.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4LivermorePolarizedComptonModel.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4LivermorePolarizedComptonModel.cc,v 1.6 2009/05/03 08:29:55 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // History:
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4LivermorePolarizedRayleighModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4LivermorePolarizedRayleighModel.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4LivermorePolarizedRayleighModel.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4LivermorePolarizedRayleighModel.cc,v 1.5 2009/05/02 15:20:53 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // History:
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4LivermoreRayleighModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4LivermoreRayleighModel.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4LivermoreRayleighModel.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4LivermoreRayleighModel.cc,v 1.8 2009/09/23 16:54:06 flongo Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: Sebastien Inserti
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4LogLogInterpolation.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4LogLogInterpolation.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4LogLogInterpolation.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LogLogInterpolation.cc,v 1.16 2009/09/25 07:41:34 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: Maria Grazia Pia (Maria.Grazia.Pia@cern.ch)
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyBremsstrahlung.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyBremsstrahlung.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyBremsstrahlung.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4LowEnergyBremsstrahlung.cc,v 1.74 2009/06/11 15:47:08 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 // 
 // --------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyCompton.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyCompton.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyCompton.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4LowEnergyCompton.cc,v 1.50 2009/06/11 15:47:08 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: A. Forti
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyGammaConversion.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyGammaConversion.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyGammaConversion.cc	(revision 1228)
@@ -27,5 +27,5 @@
 ///
 // $Id: G4LowEnergyGammaConversion.cc,v 1.39 2009/06/11 15:47:08 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyIonisation.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyIonisation.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyIonisation.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4LowEnergyIonisation.cc,v 1.106 2009/06/11 15:47:08 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 // 
 // --------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyPhotoElectric.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyPhotoElectric.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyPhotoElectric.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LowEnergyPhotoElectric.cc,v 1.59 2009/06/11 15:47:08 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: A. Forti
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyPolarizedCompton.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyPolarizedCompton.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyPolarizedCompton.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LowEnergyPolarizedCompton.cc,v 1.28 2009/06/11 15:47:08 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyPolarizedRayleigh.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyPolarizedRayleigh.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyPolarizedRayleigh.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4LowEnergyPolarizedRayleigh.cc,v 1.10 2009/06/11 15:47:08 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // --------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyRayleigh.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyRayleigh.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4LowEnergyRayleigh.cc	(revision 1228)
@@ -27,5 +27,5 @@
 //
 // $Id: G4LowEnergyRayleigh.cc,v 1.40 2009/06/11 15:47:08 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: A. Forti
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4PaulKCrossSection.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4PaulKCrossSection.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4PaulKCrossSection.cc	(revision 1228)
@@ -25,17 +25,4 @@
 //
 //
-// History:
-// -----------
-//  21 Apr 2008   H. Abdelohauwed - 1st implementation
-//  29 Apr 2009   ALF  Major Design Revision
-//  11 Nov 2009   ALF update and code cleaning for the Dec Release 
-//
-// -------------------------------------------------------------------
-
-// Class description:
-// Low Energy Electromagnetic Physics, Cross section, p ionisation, K shell
-// Further documentation available from http://www.ge.infn.it/geant4/lowE
-
-// -------------------------------------------------------------------
 
 #include "globals.hh"
@@ -43,84 +30,45 @@
 #include <fstream>
 #include <iomanip>
-//#include "G4CompositeEMDataSet.hh"
-//#include "G4ShellEMDataSet.hh"
+#include "G4CompositeEMDataSet.hh"
+#include "G4ShellEMDataSet.hh"
 #include "G4EMDataSet.hh"
-//#include "G4VEMDataSet.hh"
-//#include "G4VDataSetAlgorithm.hh"
+#include "G4VEMDataSet.hh"
+#include "G4VDataSetAlgorithm.hh"
 #include "G4LogLogInterpolation.hh"
 #include "G4PaulKCrossSection.hh"
-#include "G4Proton.hh"
-#include "G4Alpha.hh"
-
 
 G4PaulKCrossSection::G4PaulKCrossSection()
-{ 
+{ }
+
+G4PaulKCrossSection::~G4PaulKCrossSection()
+{ }
+
+G4double G4PaulKCrossSection::CalculateKCrossSection(G4int zTarget,G4int zIncident, G4double energyIncident)
+{
+  
+ G4String fileName;
+
+ if (zIncident == 1)
+   { fileName = "kcsPaul/kcs-";} 
+  else
+    {
+      if (zIncident == 2)
+	{ fileName = "kacsPaul/kacs-";}
+	
+    }
 
   
-  interpolation = new G4LogLogInterpolation();
+  G4VDataSetAlgorithm* interpolation = new G4LogLogInterpolation();
 
-  /*
-    G4String path = getenv("G4LEDATA");
- 
-    if (!path)
-    G4Exception("G4paulKCrossSection::G4paulKCrossSection: G4LEDATA environment variable not set");
-    G4cout << path + "/kcsPaul/kcs-" << G4endl;
-  */
+  G4VEMDataSet* dataSet;
 
+  dataSet = new G4EMDataSet(zTarget,interpolation);
+  
+  dataSet->LoadData(fileName);
+   
 
-    for (G4int i=4; i<93; i++) {
-      protonDataSetMap[i] = new G4EMDataSet(i,interpolation);
-      protonDataSetMap[i]->LoadData("pixe/kpcsPaul/kcs-");
-    }
-    for (G4int i=6; i<93; i++) {
-      alphaDataSetMap[i] = new G4EMDataSet(i,interpolation);
-      alphaDataSetMap[i]->LoadData("pixe/kacsPaul/kacs-");
-    }
+          G4double sigma = dataSet->FindValue(energyIncident/MeV) / barn;
 
-
-
-
-}
-
-G4PaulKCrossSection::~G4PaulKCrossSection()
-{ 
-
-  protonDataSetMap.clear();
-  alphaDataSetMap.clear();
-
-}
-
-G4double G4PaulKCrossSection::CalculateKCrossSection(G4int zTarget,G4double massIncident, G4double energyIncident)
-{
-  
-  G4Proton* aProtone = G4Proton::Proton();
-  G4Alpha* aAlpha = G4Alpha::Alpha();
-  
-  G4double sigma = 0;
-
-  if (massIncident == aProtone->GetPDGMass() )
-    {
-      
-      sigma = protonDataSetMap[zTarget]->FindValue(energyIncident/MeV) / barn; 
-      
-    }
-  else
-    {
-      if (massIncident == aAlpha->GetPDGMass())
-	{
-	  
-          sigma = alphaDataSetMap[zTarget]->FindValue(energyIncident/MeV) / barn; 
-	  
-	}
-      else
-	{ 
-	  G4cout << "we can treat only Proton or Alpha incident particles " << G4endl;
-	  sigma = 0.;
-	}
-    }
-  
-  
-  
-  return sigma;
+	  return sigma;
 }
 
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeAnnihilationModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeAnnihilationModel.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeAnnihilationModel.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PenelopeAnnihilationModel.cc,v 1.4 2009/06/10 13:32:36 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: Luciano Pandola
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeBremsstrahlung.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeBremsstrahlung.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeBremsstrahlung.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PenelopeBremsstrahlung.cc,v 1.21 2009/06/11 15:47:08 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 // 
 // --------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeBremsstrahlungAngular.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeBremsstrahlungAngular.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeBremsstrahlungAngular.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PenelopeBremsstrahlungAngular.cc,v 1.8 2009/06/10 13:32:36 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 // 
 // --------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeBremsstrahlungContinuous.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeBremsstrahlungContinuous.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeBremsstrahlungContinuous.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PenelopeBremsstrahlungContinuous.cc,v 1.12 2009/06/10 13:32:36 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 // 
 // --------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeBremsstrahlungModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeBremsstrahlungModel.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeBremsstrahlungModel.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PenelopeBremsstrahlungModel.cc,v 1.7 2009/06/11 15:47:08 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: Luciano Pandola
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeCompton.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeCompton.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeCompton.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PenelopeCompton.cc,v 1.36 2009/06/11 15:47:08 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: Luciano Pandola
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeComptonModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeComptonModel.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeComptonModel.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PenelopeComptonModel.cc,v 1.8 2009/10/23 09:29:24 pandola Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: Luciano Pandola
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeGammaConversionModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeGammaConversionModel.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeGammaConversionModel.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PenelopeGammaConversionModel.cc,v 1.6 2009/06/11 15:47:08 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: Luciano Pandola
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeIonisation.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeIonisation.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeIonisation.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PenelopeIonisation.cc,v 1.22 2009/06/11 15:47:08 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 // 
 // --------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeIonisationModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeIonisationModel.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeIonisationModel.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PenelopeIonisationModel.cc,v 1.10 2009/10/23 09:29:24 pandola Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: Luciano Pandola
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopePhotoElectric.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopePhotoElectric.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopePhotoElectric.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PenelopePhotoElectric.cc,v 1.16 2009/06/11 15:47:08 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: L. Pandola
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopePhotoElectricModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopePhotoElectricModel.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopePhotoElectricModel.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PenelopePhotoElectricModel.cc,v 1.10 2009/10/23 09:29:24 pandola Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: Luciano Pandola
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeRayleigh.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeRayleigh.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeRayleigh.cc	(revision 1228)
@@ -27,5 +27,5 @@
 //
 // $Id: G4PenelopeRayleigh.cc,v 1.19 2009/06/11 15:47:08 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: L. Pandola (luciano.pandola@cern.ch)
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeRayleighModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeRayleighModel.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4PenelopeRayleighModel.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PenelopeRayleighModel.cc,v 1.6 2009/06/11 15:47:08 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: Luciano Pandola
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4RangeTest.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4RangeTest.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4RangeTest.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4RangeTest.cc,v 1.9 2009/06/10 13:32:36 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: Maria Grazia Pia (Maria.Grazia.Pia@cern.ch)
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4RayleighScattering.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4RayleighScattering.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4RayleighScattering.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4RayleighScattering.cc,v 1.2 2009/03/18 13:45:51 pandola Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4SemiLogInterpolation.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4SemiLogInterpolation.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4SemiLogInterpolation.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SemiLogInterpolation.cc,v 1.8 2009/09/25 07:41:34 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: Maria Grazia Pia (Maria.Grazia.Pia@cern.ch)
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4ShellData.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4ShellData.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4ShellData.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ShellData.cc,v 1.11 2009/06/10 13:32:36 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: Maria Grazia Pia (Maria.Grazia.Pia@cern.ch)
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4ShellEMDataSet.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4ShellEMDataSet.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4ShellEMDataSet.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ShellEMDataSet.cc,v 1.18 2009/09/25 07:41:34 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: Maria Grazia Pia (Maria.Grazia.Pia@cern.ch)
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4VCrossSectionHandler.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4VCrossSectionHandler.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4VCrossSectionHandler.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VCrossSectionHandler.cc,v 1.19 2009/09/25 07:41:34 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: Maria Grazia Pia (Maria.Grazia.Pia@cern.ch)
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4VLowEnergyDiscretePhotonProcess.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4VLowEnergyDiscretePhotonProcess.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4VLowEnergyDiscretePhotonProcess.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4VLowEnergyDiscretePhotonProcess.cc,v 1.6 2009/06/10 13:32:36 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // --------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4VeLowEnergyLoss.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4VeLowEnergyLoss.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4VeLowEnergyLoss.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VeLowEnergyLoss.cc,v 1.27 2009/07/23 09:15:37 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4WaterExcitationStructure.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4WaterExcitationStructure.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4WaterExcitationStructure.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4WaterExcitationStructure.cc,v 1.1 2007/10/15 08:57:54 pia Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 // 
 // Contact Author: Maria Grazia Pia (Maria.Grazia.Pia@cern.ch)
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4WaterIonisationStructure.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4WaterIonisationStructure.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4WaterIonisationStructure.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4WaterIonisationStructure.cc,v 1.1 2007/11/08 20:39:35 pia Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 // 
 // Contact Author: Maria Grazia Pia (Maria.Grazia.Pia@cern.ch)
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4eBremsstrahlungSpectrum.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4eBremsstrahlungSpectrum.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4eBremsstrahlungSpectrum.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4eBremsstrahlungSpectrum.cc,v 1.16 2009/06/10 13:32:36 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4eCrossSectionExcitationEmfietzoglou.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4eCrossSectionExcitationEmfietzoglou.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4eCrossSectionExcitationEmfietzoglou.cc	(revision 1228)
@@ -26,9 +26,9 @@
 //
 // $Id: G4eCrossSectionExcitationEmfietzoglou.cc,v 1.1 2007/05/04 10:16:06 pia Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
 // $Id: G4eCrossSectionExcitationEmfietzoglou.cc,v 1.1 2007/05/04 10:16:06 pia Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 // 
 // Contact Author: Maria Grazia Pia (Maria.Grazia.Pia@cern.ch)
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4eCrossSectionScreenedRutherford.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4eCrossSectionScreenedRutherford.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4eCrossSectionScreenedRutherford.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4eCrossSectionScreenedRutherford.cc,v 1.3 2007/10/12 12:27:19 pia Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 // 
 // Contact Author: Maria Grazia Pia (Maria.Grazia.Pia@cern.ch)
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4eIonisationCrossSectionHandler.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4eIonisationCrossSectionHandler.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4eIonisationCrossSectionHandler.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4eIonisationCrossSectionHandler.cc,v 1.15 2009/09/27 10:47:42 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4eIonisationParameters.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4eIonisationParameters.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4eIonisationParameters.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4eIonisationParameters.cc,v 1.25 2009/06/10 13:32:36 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: Maria Grazia Pia (Maria.Grazia.Pia@cern.ch)
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4eIonisationSpectrum.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4eIonisationSpectrum.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4eIonisationSpectrum.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4eIonisationSpectrum.cc,v 1.27 2009/06/10 13:32:36 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4eLowEnergyLoss.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4eLowEnergyLoss.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4eLowEnergyLoss.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4eLowEnergyLoss.cc,v 1.37 2009/07/23 09:15:37 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //  
 // -----------------------------------------------------------
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4hLowEnergyIonisation.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4hLowEnergyIonisation.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4hLowEnergyIonisation.cc	(revision 1228)
@@ -100,7 +100,6 @@
 //               parametrised proton model: min(user value, model limit)
 // 26 Jan   2005 S. Chauvie added PrintInfoDefinition() for antiproton
-// 30 Sep   2009 ALF Removed dependencies to old shell Ionisation XS models
-// 11 Nov   2009 ALF Code cleaning for the Dec release
-//
+
+
 // -----------------------------------------------------------------------
 
@@ -122,4 +121,7 @@
 #include "G4ShellVacancy.hh"
 #include "G4VhShellCrossSection.hh"
+#include "G4hShellCrossSection.hh"
+#include "G4hShellCrossSectionExp.hh"
+#include "G4hShellCrossSectionDoubleExp.hh"
 #include "G4VEMDataSet.hh"
 #include "G4EMDataSet.hh"
@@ -130,6 +132,5 @@
 #include "G4ProcessManager.hh"
 #include "G4ProductionCutsTable.hh"
-#include "G4teoCrossSection.hh"
-#include "G4empCrossSection.hh"
+
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
 
@@ -152,5 +153,6 @@
     shellVacancy(0),
     shellCS(0),
-    theFluo(false)
+    theFluo(false),
+    expFlag(false)
 { 
   InitializeMe();
@@ -173,6 +175,16 @@
   verboseLevel         = 0;
 
-  shellCS = new G4teoCrossSection("analytical");
-
+//****************************************************************************
+// By default the method of cross section's calculation is swiched on an 
+// 2nd implementation empirical model (G4hShellCrossSectionDoubleExp), 
+// if you want to use Gryzinski's model (G4hShellCrossSection()) or the
+// 1st empiric one (G4hShellCrossSectionExp), you must change the 
+// selection below and switching expFlag to FALSE
+//****************************************************************************
+
+  //shellCS = new G4hShellCrossSection();
+  //shellCS = new G4hShellCrossSectionExp();
+  shellCS = new G4hShellCrossSectionDoubleExp();
+  expFlag=true;
 }
 
@@ -1268,58 +1280,61 @@
   //   G4cout << "Fluorescence is switched :" << theFluo << G4endl; 
 
-  // Fluorescence data start from element 6
   if(theFluo && Z > 5) {
 
 
 
-    // Atom total cross section     
+    // Atom total cross section for the Empiric Model    
+    if (expFlag) {    
     shellCS->SetTotalCS(totalCrossSectionMap[Z]);    
-
+    }
     G4int shell = shellCS->SelectRandomShell(Z, KineticEnergy,ParticleMass,DeltaKineticEnergy);
 
-    if (shell!=-1) {        
-      
-      const G4AtomicShell* atomicShell =
-	(G4AtomicTransitionManager::Instance())->Shell(Z, shell);
-      G4double bindingEnergy = atomicShell->BindingEnergy();
-      
-      if(verboseLevel > 1) {
-	G4cout << "PostStep Z= " << Z << " shell= " << shell
-	       << " bindingE(keV)= " << bindingEnergy/keV
-	       << " finalE(keV)= " << finalKineticEnergy/keV
-	       << G4endl;
-      }
-      
-      
-      
-      if (finalKineticEnergy >= bindingEnergy
-	  && (bindingEnergy >= minGammaEnergy
-	      ||  bindingEnergy >= minElectronEnergy) ) {
-	
-	G4int shellId = atomicShell->ShellId();
-	secondaryVector = deexcitationManager.GenerateParticles(Z, shellId);
-	
-	if (secondaryVector != 0) {
-	  
-	  nSecondaries = secondaryVector->size();
-	  for (size_t i = 0; i<nSecondaries; i++) {
-	    
-	    aSecondary = (*secondaryVector)[i];
-	    if (aSecondary) {
-	      
-	      G4double e = aSecondary->GetKineticEnergy();
-	      type = aSecondary->GetDefinition();
-	      if (e < finalKineticEnergy &&
-		  ((type == G4Gamma::Gamma() && e > minGammaEnergy ) ||
-		   (type == G4Electron::Electron() && e > minElectronEnergy ))) {
-		
-		finalKineticEnergy -= e;
-		totalNumber++;
-		
-	      } else {
-		
-		delete aSecondary;
-		(*secondaryVector)[i] = 0;
-	      }
+    if (expFlag && shell==1) {        
+      aParticleChange.ProposeLocalEnergyDeposit (KineticEnergy);
+      aParticleChange.ProposeEnergy(0);      
+    }
+
+
+    const G4AtomicShell* atomicShell =
+                (G4AtomicTransitionManager::Instance())->Shell(Z, shell);
+    G4double bindingEnergy = atomicShell->BindingEnergy();
+
+    if(verboseLevel > 1) {
+      G4cout << "PostStep Z= " << Z << " shell= " << shell
+             << " bindingE(keV)= " << bindingEnergy/keV
+             << " finalE(keV)= " << finalKineticEnergy/keV
+             << G4endl;
+    }
+
+    // Fluorescence data start from element 6
+
+    if (finalKineticEnergy >= bindingEnergy
+         && (bindingEnergy >= minGammaEnergy
+         ||  bindingEnergy >= minElectronEnergy) ) {
+
+      G4int shellId = atomicShell->ShellId();
+      secondaryVector = deexcitationManager.GenerateParticles(Z, shellId);
+
+      if (secondaryVector != 0) {
+
+        nSecondaries = secondaryVector->size();
+        for (size_t i = 0; i<nSecondaries; i++) {
+
+          aSecondary = (*secondaryVector)[i];
+          if (aSecondary) {
+
+            G4double e = aSecondary->GetKineticEnergy();
+            type = aSecondary->GetDefinition();
+            if (e < finalKineticEnergy &&
+                 ((type == G4Gamma::Gamma() && e > minGammaEnergy ) ||
+                  (type == G4Electron::Electron() && e > minElectronEnergy ))) {
+
+              finalKineticEnergy -= e;
+              totalNumber++;
+
+	    } else {
+
+              delete aSecondary;
+              (*secondaryVector)[i] = 0;
 	    }
 	  }
@@ -1328,5 +1343,5 @@
     }
   }
-  
+
   // Save delta-electrons
 
@@ -1386,24 +1401,6 @@
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
 
-
-
-void G4hLowEnergyIonisation::SelectShellIonisationCS(G4String val) {
-
-  if (shellCS) delete shellCS;
-
-  if (val == "empirical") {
-    shellCS = new G4empCrossSection();
-  }
- else {
-    shellCS = new G4teoCrossSection(val);
-  }
-}
-
-
-
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
-
-
-std::vector<G4DynamicParticle*>* G4hLowEnergyIonisation::DeexciteAtom(const G4MaterialCutsCouple* couple,
+std::vector<G4DynamicParticle*>*
+G4hLowEnergyIonisation::DeexciteAtom(const G4MaterialCutsCouple* couple,
 				           G4double incidentEnergy,
 				           G4double hMass,
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4hLowEnergyLoss.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4hLowEnergyLoss.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4hLowEnergyLoss.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4hLowEnergyLoss.cc,v 1.30 2009/07/23 09:15:37 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -----------------------------------------------------------
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4hShellCrossSectionDoubleExp.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4hShellCrossSectionDoubleExp.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4hShellCrossSectionDoubleExp.cc	(revision 1228)
@@ -42,5 +42,5 @@
 // -------------------------------------------------------------------
 // $Id: G4hShellCrossSectionDoubleExp.cc,v 1.10 2009/06/10 13:32:36 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 
 #include "globals.hh"
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4hShellCrossSectionDoubleExpData.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4hShellCrossSectionDoubleExpData.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4hShellCrossSectionDoubleExpData.cc	(revision 1228)
@@ -34,5 +34,5 @@
 // -------------------------------------------------------------------
 // $Id: G4hShellCrossSectionDoubleExpData.cc,v 1.5 2009/06/10 13:32:36 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 
 #include "G4hShellCrossSectionDoubleExpData.hh"
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4hShellCrossSectionExp.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4hShellCrossSectionExp.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4hShellCrossSectionExp.cc	(revision 1228)
@@ -42,5 +42,5 @@
 // -------------------------------------------------------------------
 // $Id: G4hShellCrossSectionExp.cc,v 1.7 2009/06/10 13:32:36 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 
 #include "globals.hh"
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4hShellCrossSectionExpData.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4hShellCrossSectionExpData.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4hShellCrossSectionExpData.cc	(revision 1228)
@@ -34,5 +34,5 @@
 // -------------------------------------------------------------------
 // $Id: G4hShellCrossSectionExpData.cc,v 1.4 2009/06/10 13:32:36 mantero Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 
 #include "G4hShellCrossSectionExpData.hh"
